Module java.desktop
Package javax.sound.midi

# Interface MidiDeviceTransmitter

All Superinterfaces:
  `AutoCloseable`, `Transmitter`

    public interface MidiDeviceTransmitter
    extends Transmitter

`MidiDeviceTransmitter` is a `Transmitter` which represents a MIDI input connector of a `MidiDevice` (see `MidiDevice.getTransmitter()`).

Since:
  1.7

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`MidiDevice` | `getMidiDevice()` | Obtains a `MidiDevice` object which is an owner of this `Transmitter`.

### Methods declared in interface javax.sound.midi.Transmitter

`close, getReceiver, setReceiver`

## Method Details

### getMidiDevice

MidiDevice getMidiDevice()
Obtains a `MidiDevice` object which is an owner of this `Transmitter`.

Returns:
  a `MidiDevice` object which is an owner of this `Transmitter`